﻿//################################################################
//ライブラリヘルプ
//################################################################

function DispHelp(id) {

  elm = document.getElementById('help');
  var html = '　';

  switch(id) {

//########　N6LTimerMan　########

  case 300: html = 
'<font size="5">N6LTimerMan：構築</font><br>' +
'メンバ：<br>' +
'N6LTimerMan.interval:タイマーチェック間隔<br>' +
'N6LTimerMan.enable:使うかどうか<br>' +
'N6LTimerMan.timer[]:個別タイマー<br>' +
'メンバ（N6LTimerMan.timer[id]）：<br>' +
'N6LTimerMan.timer[id].ID:ID番号<br>' +
'N6LTimerMan.timer[id].enable:使うかどうか<br>' +
'N6LTimerMan.timer[id].starttime:開始時間<br>' +
'N6LTimerMan.timer[id].alerm:何ミリ秒後のアラームかの設定値<br>' +
'N6LTimerMan.timer[id].alermfunc:アラーム呼び出しメソッド<br>' +
'書式：<br>' +
'var tman = new N6LTimerMan();<br>' +
'注釈：タイマーをいくつ作っても、setTimeout()はN6LTimerManに1個の一元管理です<br>';
          break;
  case 301: html = 
'<font size="5">N6LTimerMan.add()</font><br>' +
'説明：タイマー追加<br>' +
'引数：－－－<br>' +
'戻値：－－－<br>';
          break;
  case 302: html = 
'<font size="5">N6LTimerMan.changeinterval(int)</font><br>' +
'説明：タイマーチェック間隔変更<br>' +
'引数：int：変更値：ミリ秒<br>' +
'戻値：－－－<br>';
          break;
  case 303: html = 
'<font size="5">N6LTimerMan.start()</font><br>' +
'説明：開始<br>' +
'引数：－－－<br>' +
'戻値：－－－<br>';
          break;
  case 304: html = 
'<font size="5">N6LTimerMan.stop()</font><br>' +
'説明：停止<br>' +
'引数：－－－<br>' +
'戻値：－－－<br>';
          break;

//########　N6LTimerMan.timer[id]　########

  case 351: html = 
'<font size="5">N6LTimerMan.timer[id].start()</font><br>' +
'説明：開始<br>' +
'引数：－－－<br>' +
'戻値：－－－<br>';
          break;
  case 352: html = 
'<font size="5">N6LTimerMan.timer[id].stop()</font><br>' +
'説明：停止<br>' +
'引数：－－－<br>' +
'戻値：－－－<br>';
          break;
  case 353: html = 
'<font size="5">N6LTimerMan.timer[id].reset()</font><br>' +
'説明：リセット(開始時間更新)<br>' +
'引数：－－－<br>' +
'戻値：－－－<br>';
          break;
  case 354: html = 
'<font size="5">N6LTimerMan.timer[id].copy(src)</font><br>' +
'説明：コピー<br>' +
'引数：src：元データ<br>' +
'戻値：－－－<br>';
          break;
  case 355: html = 
'<font size="5">N6LTimerMan.timer[id].now()</font><br>' +
'説明：経過時間<br>' +
'引数：－－－<br>' +
'戻値：－－－<br>';
          break;
  case 356: html = 
'<font size="5">N6LTimerMan.timer[id].setalerm(func(id),alm)</font><br>' +
'説明：アラームセット<br>' +
'引数：func(id)：時間になった時に呼び出されるメソッド<br>' +
'alm：アラーム時間：ミリ秒<br>' +
'戻値：－－－<br>' +
'詳細：<br>' +
'func(id)にid以外のデータを渡したいときは<br>' +
'サンプルのfunc周りを変更して、引数を渡すようにする<br>' +
'あるいは、グローバル変数で渡す<br>' +
'<br>' +
'使用例：<br>' +
'<br>' +
'//グローバルポジション<br>' +
'var TMan = new N6LTimerMan(); //構築<br>' +
'<br>' +
'//タイマーが必要なメソッド内<br>' +
'...{<br>' +
'　...<br>' +
'　TMan.add(); //タイマー追加<br>' +
'　TMan.timer[0].setalerm(function() { SignalFunc(0); }, 1000); //1秒後アラームセット<br>' +
'　...<br>' +
'}<br>' +
'<br>' +
'//呼び出しメソッド<br>' +
'function SignalFunc(id) {<br>' +
'　...<br>' +
'　TMan.timer[id].setalerm(function() { SignalFunc(id); }, 1000); //連続セット<br>' + 
'　//再帰関数的ではあるが、一連の処理の中に、setTimeout()が含まれているので<br>' +
'　//コールスタックを戻しているから、連続ループでもスタックオーバーフローにならない<br>' +
'　...<br>' +
'}<br>' +
'<br>' +
'呼び出し時間は、N6LTimerMan.interval=25(デフォルト値)以上が好ましいです<br>';
          break;

//########　N6LVector　########

  case 0: html = 
'<font size="5">N6LVector：構築</font><br>' +
'メンバ：<br>' +
'N6LVector.x[]:実数<br>' + 
'N6LVector.x[0]:w N6LVector.x[1]:x N6LVector.x[2]:y N6LVector.x[3]:z　etc...<br>' + 
'N6LVector.bHomo:同次座標かどうか<br>' +
'var N6LVector = function(rh, bh) { }<br>' +
'書式：<br>' +
'4次ベクトル<br>' +
'var veca = new N6LVector(4);<br>' +
'同次4次ベクトル<br>' +
'var veca = new N6LVector(4, true);<br>' +
'3次ベクトル<br>' +
'var veca = new N6LVector(new Array(1, 2, 3));<br>' +
'x軸単位同次4次ベクトル<br>' +
'var veca = new N6LVector(new Array(1, 1, 0, 0), true);<br>' +
'var veca = new N6LVector([1, 1, 0, 0], true);<br>' +
'var vecb = new N6LVector(veca); //deep copy<br>';
          break;
  case 1: html = 
'<font size="5">N6LVector.Equal(rh)</font><br>' +
'説明：等価か調べる<br>' +
'引数：rh:N6LVector型:thisと比較する<br>' +
'戻値：true:等しい:false:等しくない:<br>';
          break;
  case 37: html = 
'<font size="5">N6LVector.EpsEqual(rh, eps)</font><br>' +
'説明：等価か調べる<br>' +
'引数：rh:N6LVector型:thisと比較する:eps:誤差:実数<br>' +
'戻値：true:等しい:false:等しくない:<br>';
          break;
  case 39: html = 
'<font size="5">N6LVector.Str()</font><br>' +
'説明：文字列に変換<br>' +
'引数：－－－<br>' +
'戻値：文字列に変換:string<br>';
          break;
  case 40: html = 
'<font size="5">N6LVector.Parse(str)</font><br>' +
'説明：文字列から変換<br>' +
'引数：str:string<br>' +
'戻値：文字列から変換:N6LVector<br>';
          break;
  case 41: html = 
'<font size="5">N6LVector.ToX3DOM(b)</font><br>' +
'説明：x3dom.fields.SFVec[2/3/4]fに変換<br>' +
'引数：b:4→3の時、true:bool<br>' +
'戻値：x3dom.fields.SFVec[2/3/4]fに変換:x3dom.fields.SFVec[2/3/4]f<br>';
          break;
  case 42: html = 
'<font size="5">N6LVector.FromX3DOM(sf)</font><br>' +
'説明：x3dom.fields.SFVec[2/3/4]fから変換<br>' +
'引数：sf:x3dom.fields.SFVec[2/3/4]f<br>' +
'戻値：x3dom.fields.SFVec[2/3/4]fから変換:N6LVector<br>';
          break;
  case 50: html = 
'<font size="5">N6LVector.To3JS(b)</font><br>' +
'説明：THREE.Vector[2/3/4]に変換<br>' +
'引数：b:4→3の時、true:bool<br>' +
'戻値：THREE.Vector[2/3/4]に変換:THREE.Vector[2/3/4]<br>';
          break;
  case 51: html = 
'<font size="5">N6LVector.From3JS(ary)</font><br>' +
'説明：Arrayから変換<br>' +
'引数：ary:Array()<br>' +
'戻値：Arrayから変換:N6LVector<br>';
          break;
  case 2: html = 
'<font size="5">N6LVector.Add(rh)</font><br>' +
'説明：和算<br>' +
'引数：rh:N6LVector型、実数<br>' +
'戻値：和算:N6LVector<br>';
          break;
  case 3: html = 
'<font size="5">N6LVector.Sub(rh)</font><br>' +
'説明：減算<br>' +
'引数：rh:N6LVector型、実数<br>' +
'戻値：減算:N6LVector<br>';
          break;
  case 4: html = 
'<font size="5">N6LVector.Mul(rh)</font><br>' +
'説明：乗算<br>' +
'引数：rh:N6LVector型、N6LMatrix型、実数<br>' +
'戻値：乗算:N6LVector,実数<br>';
          break;
  case 5: html = 
'<font size="5">N6LVector.Div(rh)</font><br>' +
'説明：除算<br>' +
'引数：rh:N6LVector型、N6LMatrix型、実数<br>' +
'戻値：除算:N6LVector,実数<br>';
          break;
  case 34: html = 
'<font size="5">N6LVector.SetHomo(rh)</font><br>' +
'説明：同次座標フラグのセット<br>' +
'引数：rh:bool,設定値<br>' +
'戻値：同次座標フラグのセット:N6LVector<br>';
          break;
  case 38: html = 
'<font size="5">N6LVector.Repair(eps)</font><br>' +
'説明：修復、0.0or1.0or-1.0のeps付近の値をそれらに修正する<br>' +
'引数：eps:誤差,実数<br>' +
'戻値：更新されたthis<br>';
          break;
  case 6: html = 
'<font size="5">N6LVector.Dot(rh)</font><br>' +
'説明：内積<br>' +
'引数：rh:N6LVector型<br>' +
'戻値：内積:実数<br>';
          break;
  case 7: html = 
'<font size="5">N6LVector.Cross(rh)</font><br>' +
'説明：外積<br>' +
'引数：rh:N6LVector型<br>' +
'戻値：外積:N6LVector,実数<br>';
          break;
  case 35: html = 
'<font size="5">N6LVector.isParallel(rh)</font><br>' +
'説明：平行かどうか<br>' +
'引数：rh:N6LVector<br>' +
'戻値：true:平行:false:平行でない<br>';
          break;
  case 36: html = 
'<font size="5">N6LVector.Max()</font><br>' +
'説明：要素の最大絶対値の値(符号はそのまま)<br>' +
'引数：－－－<br>' +
'戻値：要素の最大絶対値の値(符号はそのまま):実数<br>';
          break;
  case 43: html = 
'<font size="5">N6LVector.DivMax()</font><br>' +
'説明：要素の最大絶対値の値で除算<br>' +
'引数：－－－<br>' +
'戻値：要素の最大絶対値の値で除算:N6LVector<br>' +
'注釈：誤差蓄積などで各要素の値が±1.0を「僅かに」超えるとき<br>' +
'　　：各要素の値を±1.0以下にすることでそれが致命的エラーになることを防ぎます<br>';
          break;
  case 44: html = 
'<font size="5">N6LVector.LookAtMat2(rh)</font><br>' +
'説明：注視<br>' +
'引数：this:N6LVector型:視点, rh:N6LVector,N6LMatrix型:注視対象<br>' +
'戻値：注視回転行列:N6LMatrix<br>';
          break;
  case 45: html = 
'<font size="5">N6LVector.RotArcQuat(rh)</font><br>' +
'説明：球面回転(アークボール)<br>' +
'引数：this:N6LVector型:vec1,rh:N6LVector型:vec2<br>' +
'戻値：球面回転(アークボール):N6LQuaternion<br>';
          break;
  case 8: html = 
'<font size="5">N6LVector.ZeroVec()</font><br>' +
'説明：ゼロ<br>' +
'引数：－－－<br>' +
'戻値：ゼロ:N6LVector<br>';
          break;
  case 9: html = 
'<font size="5">N6LVector.UnitVec(a)</font><br>' +
'説明：単位ベクトル<br>' +
'引数：a:a軸指定<br>' +
'戻値：単位ベクトル:N6LVector<br>';
          break;
  case 10: html = 
'<font size="5">N6LVector.NormalVec(a)</font><br>' +
'説明：ノーマライズ<br>' +
'引数：a:a.Sub(this);(this→aベクトル)をノーマライズ、省略可能<br>' +
'戻値：ノーマライズ:N6LVector<br>';
          break;
  case 11: html = 
'<font size="5">N6LVector.SquareAbs()</font><br>' +
'説明：絶対値２乗<br>' +
'引数：－－－<br>' +
'戻値：絶対値２乗:実数<br>';
          break;
  case 12: html = 
'<font size="5">N6LVector.Abs()</font><br>' +
'説明：絶対値<br>' +
'引数：－－－<br>' +
'戻値：絶対値:実数<br>';
          break;
  case 13: html = 
'<font size="5">N6LVector.DirectionCosine()</font><br>' +
'説明：方向余弦<br>' +
'引数：－－－<br>' +
'戻値：方向余弦:N6LVector<br>';
          break;
  case 14: html = 
'<font size="5">N6LVector.Theta(rh)</font><br>' +
'説明：なす角<br>' +
'引数：rh:N6LVector型<br>' +
'戻値：なす角:rad<br>';
          break;
  case 15: html = 
'<font size="5">N6LVector.ThetaN(rh)</font><br>' +
'説明：なす角<br>' +
'引数：rh:N6LVector型<br>' +
'戻値：true:-π/2＜θ≦π/2:false:±πまでのそれ以外<br>';
          break;
  case 16: html = 
'<font size="5">N6LVector.Rot2D(theta)</font><br>' +
'説明：２Ｄ回転<br>' +
'引数：theta:ラジアン<br>' +
'戻値：回転結果:N6LVector<br>';
          break;
  case 17: html = 
'<font size="5">N6LVector.RotAxis(axis, theta)</font><br>' +
'説明：回転<br>' +
'引数：axis:N6LVector型、回転軸:theta:ラジアン<br>' +
'戻値：回転結果:N6LVector<br>' +
'注釈：同次座標で単位x軸の回転はaxisにnew N6LVector(4, true).UnitVec(1);などと代入してください<br>';
          break;
  case 18: html = 
'<font size="5">N6LVector.RotAxisQuat(axis, theta)</font><br>' +
'説明：（計算にクォータニオンを用いた）回転<br>' +
'引数：axis:N6LVector型、回転軸:theta:ラジアン<br>' +
'戻値：回転結果:N6LVector<br>' +
'注釈：同次座標で単位x軸の回転はaxisにnew N6LVector(4, true).UnitVec(1);などと代入してください<br>';
          break;
  case 33: html = 
'<font size="5">N6LVector.RotAxisVec(rotvec)</font><br>' +
'説明：（計算にクォータニオンを用いた）回転<br>' +
'引数：rotvec:N6LVector型、回転ベクトル<br>' +
'戻値：回転結果:N6LVector<br>';
          break;
  case 19: html = 
'<font size="5">N6LVector.ProjectAxis(axis)</font><br>' +
'説明：軸に対する射影<br>' +
'引数：axis:N6LVector型、射影する軸<br>' +
'戻値：軸に対する射影:N6LVector<br>' +
'注釈：同次座標で単位x軸の射影はaxisにnew N6LVector(4, true).UnitVec(1);などと代入してください<br>';
          break;
  case 20: html = 
'<font size="5">N6LVector.DistanceDotLine(p, a, b)</font><br>' +
'説明：点と直線の距離<br>' +
'引数：p:N6LVector型、点:a:N6LVector型、直線端点:b:N6LVector型、直線端点:<br>' +
'戻値：点と直線の距離:実数<br>';
          break;
  case 21: html = 
'<font size="5">N6LVector.DistancePointLineLine(reta, retb, a0, a1, b0, b1)</font><br>' +
'説明：直線と直線の距離と最接近位置<br>' +
'引数：reta[0]:N6LVector型、a上最接近位置点、戻値:retb[0]:N6LVector型、b上最接近位置点、戻値:<br>' +
'a0:N6LVector型、直線a端点:a1:N6LVector型、直線a端点:<br>' +
'b0:N6LVector型、直線b端点:b1:N6LVector型、直線b端点:<br>' +
'戻値：直線と直線の距離:実数<br>';
          break;
  case 22: html = 
'<font size="5">N6LVector.PointLineLine(reta, retb, a0, a1, b0, b1)</font><br>' +
'説明：直線と直線の最接近位置<br>' +
'引数：reta[0]:N6LVector型、a上最接近位置点、戻値:retb[0]:N6LVector型、b上最接近位置点、戻値:<br>' +
'a0:N6LVector型、直線a端点:a1:N6LVector型、直線a端点:<br>' +
'b0:N6LVector型、直線b端点:b1:N6LVector型、直線b端点:<br>' +
'戻値：true:交差した:false:交差しない:<br>';
          break;
  case 23: html = 
'<font size="5">N6LVector.DistanceLineLine(a0, a1, b0, b1)</font><br>' +
'説明：直線と直線の距離<br>' +
'引数：a0:N6LVector型、直線a端点:a1:N6LVector型、直線a端点:<br>' +
'b0:N6LVector型、直線b端点:b1:N6LVector型、直線b端点:<br>' +
'戻値：直線と直線の距離:実数<br>';
          break;
  case 24: html = 
'<font size="5">N6LVector.Homogeneous()</font><br>' +
'説明：同次座標<br>' +
'引数：－－－<br>' +
'戻値：同次座標:N6LVector<br>';
          break;
  case 25: html = 
'<font size="5">N6LVector.ToHomo()</font><br>' +
'説明：同次ベクトルに変換<br>' +
'引数：－－－<br>' +
'戻値：同次ベクトルに変換:N6LVector<br>';
          break;
  case 26: html = 
'<font size="5">N6LVector.ToNormal()</font><br>' +
'説明：通常ベクトルに変換<br>' +
'引数：－－－<br>' +
'戻値：通常ベクトルに変換:N6LVector<br>';
          break;
  case 27: html = 
'<font size="5">N6LVector.Matrix()</font><br>' +
'説明：回転ベクトルから回転行列<br>' +
'引数：－－－<br>' +
'戻値：回転ベクトルから回転行列:N6LMatrix<br>';
          break;
  case 46: html = 
'<font size="5">N6LVector.PosVecGetTQ(out)</font><br>' +
'説明：姿勢ベクトルから四元数と平行移動の取得<br>' +
'引数：out[]<br>' +
'戻値：姿勢ベクトルから四元数と平行移動の取得:out[0]:N6LVector:平行移動,out[1]:N6LQuaternion:四元数,<br>';
          break;
  case 49: html = 
'<font size="5">N6LVector.PosVecSetTQ(t,q)</font><br>' +
'説明：姿勢ベクトルから四元数と平行移動の設定<br>' +
'引数：t:N6LVector:平行移動,q:N6LQuaternion:四元数<br>' +
'戻値：姿勢ベクトルから四元数と平行移動の設定:N6LVector<br>';
          break;
  case 47: html = 
'<font size="5">N6LVector.PosVecMatrix()</font><br>' +
'説明：姿勢ベクトルから回転行列<br>' +
'引数：－－－<br>' +
'戻値：姿勢ベクトルから回転行列:N6LMatrix<br>';
          break;
  case 48: html = 
'<font size="5">N6LVector.PosVecMul(rh)</font><br>' +
'説明：姿勢ベクトルの積<br>' +
'引数：rh:N6LVector():姿勢ベクトル<br>' +
'戻値：姿勢ベクトルの積:N6LVector<br>';
          break;
  case 28: html = 
'<font size="5">N6LVector.Sphere4D()</font><br>' +
'説明：四次元球<br>' +
'引数：－－－<br>' +
'戻値：四次元球:N6LQuaternion<br>';
          break;
  case 29: html = 
'<font size="5">N6LVector.FromLogAxis(base, range, x)</font><br>' +
'説明：無限対数軸から通常軸へ<br>' +
'引数：base:実数:基数,range:実数:範囲,x:実数:無限対数軸<br>' +
'戻値：通常軸:実数<br>';
          break;
  case 30: html = 
'<font size="5">N6LVector.ToLogAxis(base, range, x)</font><br>' +
'説明：通常軸から無限対数軸へ<br>' +
'引数：base:実数:基数,range:実数:範囲,x:実数:通常軸<br>' +
'戻値：無限対数軸:実数<br>';
          break;
  case 31: html = 
'<font size="5">N6LVector.FrustumInfVec(base, range, v)</font><br>' +
'説明：無限遠透視射影<br>' +
'引数：base:実数:基数,range:実数:範囲,v:N6LVector型:引数<br>' +
'戻値：無限遠透視射影:N6LVector<br>';
          break;
  case 32: html = 
'<font size="5">N6LVector.InvFrustumInfVec(base, range, v, z)</font><br>' +
'説明：逆無限遠透視射影<br>' +
'引数：base:実数:基数,range:実数:範囲,v:N6LVector型:引数,z:実数:z座標<br>' +
'戻値：逆無限遠透視射影:N6LVector<br>';
          break;

//########　N6LMatrix　########

  case 100: html = 
'<font size="5">N6LMatrix：構築</font><br>' +
'メンバ：<br>' +
'N6LMatrix.x[]:N6LVector<br>' + 
'N6LMatrix.x[0]:N6LVector:w N6LMatrix.x[1]:N6LVector:x<br>' +  
'N6LMatrix.x[2]:N6LVector:y N6LMatrix.x[3]:N6LVector:z　etc...<br>' + 
'N6LMatrix.bHomo:同次座標かどうか<br>' +
'var N6LMatrix = function(rh, m , n) { }<br>' +
'書式：<br>' +
'4行4列<br>' +
'var mata = new N6LMatrix(4);<br>' +
'4行8列<br>' +
'var mata = new N6LMatrix(4, 8);<br>' +
'4行4列単位行列<br>' +
'var mata = new N6LMatrix(<br>' +
'new Array(1, 0, 0, 0,  0, 1, 0, 0,  0, 0, 1, 0,  0, 0, 0, 1), 4, 4);<br>' +
'var mata = new N6LMatrix(new Array(new N6LVector(new Array(1, 0, 0, 0)),<br>' +
'　new N6LVector(new Array(0, 1, 0, 0)), new N6LVector(new Array(0, 0, 1, 0)),<br>' +
'　new N6LVector(new Array(0, 0, 0, 1)) ));<br>' +
'var mata = new N6LMatrix([[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]] );<br>' +
'var matb = new N6LMatrix(mata); //deep copy<br>' +
'注釈：四次以上は同次座標とみなされます<br>' +
'四次以上の通常座標を作りたいときはN6LMatrix.SetHomo(false)<br>' +
'を構築宣言に続けてください<br>';
          break;
  case 101: html = 
'<font size="5">N6LMatrix.Equal(rh)</font><br>' +
'説明：等価か調べる<br>' +
'引数：rh:N6LMatrix型:thisと比較する<br>' +
'戻値：true:等しい:false:等しくない:<br>';
          break;
  case 142: html = 
'<font size="5">N6LMatrix.EpsEqual(rh, eps)</font><br>' +
'説明：等価か調べる<br>' +
'引数：rh:N6LMatrix型:thisと比較する:eps:誤差:実数<br>' +
'戻値：true:等しい:false:等しくない:<br>';
          break;
  case 144: html = 
'<font size="5">N6LMatrix.Str()</font><br>' +
'説明：文字列に変換<br>' +
'引数：－－－<br>' +
'戻値：文字列に変換:string<br>';
          break;
  case 145: html = 
'<font size="5">N6LMatrix.Parse(str)</font><br>' +
'説明：文字列から変換<br>' +
'引数：str:string<br>' +
'戻値：文字列から変換:N6LMatrix<br>';
          break;
  case 146: html = 
'<font size="5">N6LMatrix.ToX3DOM()</font><br>' +
'説明：x3dom.fields.SFMatrix4fに変換<br>' +
'引数：－－－<br>' +
'戻値：x3dom.fields.SFMatrix4fに変換:x3dom.fields.SFMatrix4f<br>';
          break;
  case 147: html = 
'<font size="5">N6LMatrix.FromX3DOM(sf)</font><br>' +
'説明：x3dom.fields.SFMatrix4fから変換<br>' +
'引数：sf:x3dom.fields.SFMatrix4f<br>' +
'戻値：x3dom.fields.SFMatrix4fから変換:N6LMatrix<br>';
          break;
  case 156: html = 
'<font size="5">N6LMatrix.To3JS()</font><br>' +
'説明：THREE.Matrix4に変換<br>' +
'引数：－－－<br>' +
'戻値：THREE.Matrix4に変換:THREE.Matrix4<br>';
          break;
  case 157: html = 
'<font size="5">N6LMatrix.From3JS(ary)</font><br>' +
'説明：Arrayから変換<br>' +
'引数：ary:Array()<br>' +
'戻値：Arrayから変換:N6LMatrix<br>';
          break;
  case 151: html = 
'<font size="5">N6LMatrix.GetCol(rh)</font><br>' +
'説明：列の取得<br>' +
'引数：rh:int:列<br>' +
'戻値：列の取得:N6LVector型<br>';
          break;
  case 152: html = 
'<font size="5">N6LMatrix.GetRow(rh)</font><br>' +
'説明：行の取得<br>' +
'引数：rh:int:行<br>' +
'戻値：行の取得:N6LVector型<br>';
          break;
  case 153: html = 
'<font size="5">N6LMatrix.SetCol(rh, val)</font><br>' +
'説明：列の設定<br>' +
'引数：rh:int:列:val:N6LVector:設定値<br>' +
'戻値：列の設定:N6LMatrix型<br>';
          break;
  case 154: html = 
'<font size="5">N6LMatrix.SetRow(rh, val)</font><br>' +
'説明：行の設定<br>' +
'引数：rh:int:行:val:N6LVector:設定値<br>' +
'戻値：行の設定:N6LMatrix型<br>';
          break;
  case 102: html = 
'<font size="5">N6LMatrix.Add(rh)</font><br>' +
'説明：和算<br>' +
'引数：rh:N6LMatrix型、実数<br>' +
'戻値：和算:N6LMatrix<br>';
          break;
  case 103: html = 
'<font size="5">N6LMatrix.Sub(rh)</font><br>' +
'説明：減算<br>' +
'引数：rh:N6LMatrix型、実数<br>' +
'戻値：減算:N6LMatrix<br>';
          break;
  case 104: html = 
'<font size="5">N6LMatrix.Mul(rh)</font><br>' +
'説明：乗算<br>' +
'引数：rh:N6LMatrix型、N6LVector型、実数<br>' +
'戻値：乗算:N6LMatrix,N6LVector<br>';
          break;
  case 105: html = 
'<font size="5">N6LMatrix.Div(rh)</font><br>' +
'説明：除算<br>' +
'引数：rh:N6LMatrix型、N6LVector型、実数<br>' +
'戻値：除算:N6LMatrix,N6LVector<br>';
          break;
  case 139: html = 
'<font size="5">N6LMatrix.SetHomo(rh)</font><br>' +
'説明：同次座標フラグのセット<br>' +
'引数：rh:bool,設定値<br>' +
'戻値：同次座標フラグのセット:N6LMatrix<br>';
          break;
  case 143: html = 
'<font size="5">N6LMatrix.Repair(eps)</font><br>' +
'説明：修復、0.0or1.0or-1.0のeps付近の値をそれらに修正する<br>' +
'引数：eps:誤差,実数<br>' +
'戻値：更新されたthis<br>';
          break;
  case 141: html = 
'<font size="5">N6LMatrix.Max()</font><br>' +
'説明：要素の最大絶対値の値(符号はそのまま)<br>' +
'引数：－－－<br>' +
'戻値：要素の最大絶対値の値(符号はそのまま):実数<br>';
          break;
  case 148: html = 
'<font size="5">N6LMatrix.DivMax()</font><br>' +
'説明：要素の最大絶対値の値で除算<br>' +
'引数：－－－<br>' +
'戻値：要素の最大絶対値の値で除算:N6LMatrix<br>' +
'注釈：誤差蓄積などで各要素の値が±1.0を「僅かに」超えるとき<br>' +
'　　：各要素の値を±1.0以下にすることでそれが致命的エラーになることを防ぎます<br>';
          break;
  case 106: html = 
'<font size="5">N6LMatrix.ZeroMat()</font><br>' +
'説明：ゼロ<br>' +
'引数：－－－<br>' +
'戻値：ゼロ:N6LMatrix<br>';
          break;
  case 107: html = 
'<font size="5">N6LMatrix.UnitMat()</font><br>' +
'説明：単位行列<br>' +
'引数：－－－<br>' +
'戻値：単位行列:N6LMatrix<br>';
          break;
  case 124: html = 
'<font size="5">N6LMatrix.NormalMat()</font><br>' +
'説明：正規化回転行列<br>' +
'引数：－－－<br>' +
'戻値：正規化回転行列:N6LMatrix<br>';
          break;
  case 108: html = 
'<font size="5">N6LMatrix.TransposedMat()</font><br>' +
'説明：転置行列<br>' +
'引数：－－－<br>' +
'戻値：転置行列:N6LMatrix<br>';
          break;
  case 130: html = 
'<font size="5">N6LMatrix.TranslatedMat(rh)</font><br>' +
'説明：平行移動<br>' +
'引数：rh:N6LVector型<br>' +
'戻値：平行移動:N6LMatrix<br>';
          break;
  case 131: html = 
'<font size="5">N6LMatrix.ScaleMat(rh)</font><br>' +
'説明：拡大<br>' +
'引数：rh:N6LVector型、実数<br>' +
'戻値：拡大:N6LMatrix<br>';
          break;
  case 132: html = 
'<font size="5">N6LMatrix.AffineMat(scale, rotate, translate)</font><br>' +
'説明：アフィン変換<br>' +
'引数：scale:N6LVector型、実数, rotate:N6LMatrix型、N6LVector型(rotate vector)、N6LQuaternion型, translate:N6LVector型<br>' +
'戻値：アフィン変換:N6LMatrix<br>';
          break;
  case 149: html = 
'<font size="5">N6LMatrix.MoveMat(outmat, outv, d, pyr, v, a, vmin, vmax)</font><br>' +
'説明：移動<br>' +
'引数：outmat[0]:N6LMatrix型:ret:dだけ平行移動した移動後行列、outv[0]:N6LVector型:ret:移動後の速度<br>' +
'　　：d:N6LVector型:outmat[0]をdだけ平行移動する、pyr:N6LVector型:4次元:ピッチヨーロール<br>' +
'　　：v:実数:速度:N6LVector型:平行移動、a:実数:加速度、vmin,vmax:実数:速度限度:==987654321.0の時、限度なし<br>' +
'戻値：移動後行列:N6LMatrix<br>';
          break;
  case 126: html = 
'<font size="5">N6LMatrix.LookAtMat(eye, lookat, up)</font><br>' +
'説明：注視<br>' +
'引数：eye:N6LVector型:視点, lookat:N6LVector型:注視対象, up:N6LVector型:上方ベクトル<br>' +
'戻値：注視回転行列:N6LMatrix<br>';
          break;
  case 150: html = 
'<font size="5">N6LMatrix.LookAtMat2(rh)</font><br>' +
'説明：注視<br>' +
'引数：this:N6LVector型:視点, rh:N6LVector,N6LMatrix型:注視対象<br>' +
'戻値：注視回転行列:N6LMatrix<br>';
          break;
  case 109: html = 
'<font size="5">N6LMatrix.InverseMat(dt, sw)</font><br>' +
'説明：（連立1次方程式解法を用いた）逆行列<br>' +
'引数：dt[0]:行列式、戻値:<br>' +
'　　：sw:int:計算スイッチ、省略可<br>' +
'　　：1:TransposedMat():2:InverseMat00():3:InverseMat01():4:DeterminMatInvMat()<br>' +
'　　：undefined:グローバル変数SwDefInverseMat(=1:default)の値を使います:other:"Error"<br>' +
'戻値：逆行列:N6LMatrix<br>';
          break;
  case 110: html = 
'<font size="5">N6LMatrix.InverseMat00(dt)</font><br>' +
'説明：（連立1次方程式解法を用いた）逆行列<br>' +
'引数：dt[0]:行列式、戻値:<br>' +
'戻値：逆行列:N6LMatrix<br>';
          break;
  case 111: html = 
'<font size="5">N6LMatrix.InverseMat01(dt)</font><br>' +
'説明：（掃き出し法を用いた）逆行列<br>' +
'引数：dt[0]:行列式、戻値:<br>' +
'戻値：逆行列:N6LMatrix<br>';
          break;
  case 112: html = 
'<font size="5">N6LMatrix.DeterminMatInvMat(dt)</font><br>' +
'説明：（LU分解法を用いた）逆行列<br>' +
'引数：dt[0]:行列式、戻値:<br>' +
'戻値：逆行列:N6LMatrix<br>';
          break;
  case 113: html = 
'<font size="5">N6LMatrix.DeterminMat(dt)</font><br>' +
'説明：行列式<br>' +
'引数：dt[0]:行列式、戻値:<br>' +
'戻値：行列式:実数<br>';
          break;
  case 114: html = 
'<font size="5">N6LMatrix.Jacobi(n, ct, eps, A, A1, A2, X1, X2)</font><br>' +
'説明：実対称行列の固有値・固有ベクトル（ヤコビ法）<br>' +
'引数：n : 次数：ct : 最大繰り返し回数：eps : 収束判定条件：<br>' +
'A[0] : 対象とする行列：A1[0], A2[0] : 作業域（nxnの行列），A1の対角要素が固有値：<br>' +
'X1[0], X2[0] : 作業域（nxnの行列），X1の各列が固有ベクトル<br>' +
'戻値：0:正常:1:収束せず:<br>';
          break;
  case 115: html = 
'<font size="5">N6LMatrix.EigenVec(ct, eps, A, det, eigen)</font><br>' +
'説明：実対称行列の固有値・固有ベクトル（ヤコビ法）<br>' +
'引数：n : 次数：ct : 最大繰り返し回数：eps : 収束判定条件：<br>' +
'A[0] : 対象とする行列：det[0] : 固有値、戻値：eigen[0] :固有ベクトル、戻値<br>' +
'戻値：0:正常:1:収束せず:<br>';
          break;
  case 116: html = 
'<font size="5">N6LMatrix.DiagonalMat(ct, eps)</font><br>' +
'説明：対角化行列<br>' +
'引数：n : 次数：ct : 最大繰り返し回数：eps :両方、省略可<br>' +
'戻値：固有ベクトル:N6LMatrix<br>';
          break;
  case 117: html = 
'<font size="5">N6LMatrix.Diagonal(ct, eps)</font><br>' +
'説明：対角化<br>' +
'引数：n : 次数：ct : 最大繰り返し回数：eps :両方、省略可<br>' +
'戻値：対角化:N6LMatrix<br>';
          break;
  case 140: html = 
'<font size="5">N6LMatrix.Rot2D(theta)</font><br>' +
'説明：２Ｄ回転<br>' +
'引数：theta:ラジアン<br>' +
'戻値：回転行列:N6LMatrix<br>';
          break;
  case 118: html = 
'<font size="5">N6LMatrix.RotAxis(axis, theta)</font><br>' +
'説明：軸に対する回転<br>' +
'引数：axis:N6LVector型、回転軸:theta:ラジアン<br>' +
'戻値：軸に対する回転行列:N6LMatrix<br>' +
'注釈：scale,translate情報は保持されます<br>' +
'同次座標で単位x軸の回転はaxisにnew N6LVector(4, true).UnitVec(1);などと代入してください<br>';
          break;
  case 125: html = 
'<font size="5">N6LMatrix.RotAxisQuat(axis, theta)</font><br>' +
'説明：（計算にクォータニオンを用いた）軸に対する回転<br>' +
'引数：axis:N6LVector型、回転軸:theta:ラジアン<br>' +
'戻値：軸に対する回転行列:N6LMatrix<br>' +
'注釈：scale,translate情報は保持されます<br>' +
'行列の軸に対する回転で、処理速度を気にするのなら<br>' +
'はじめに、単位クォータニオンを構築して(N6LQuaternion.UnitQuat())<br>' +
'クォータニオンだけで全ての回転計算をしてから(N6LQuaternion.RotAxisQuat())<br>' +
'クォータニオンを行列に変換してください(N6LQuaternion.Matrix())<br>' +
'そして最後に、計算元の行列と得られた行列を掛け合わせてください(N6LMatrix.Mul())<br>' +
'N6LMatrix.RotAxisQuat()だけで、全部計算するのは<br>' +
'クォータニオンから行列の変換を毎回計算するので、処理速度では意味がありません<br>' +
'単純に、便利に使うだけのためのものです<br>' +
'同次座標で単位x軸の回転はaxisにnew N6LVector(4, true).UnitVec(1);などと代入してください<br>';
          break;
  case 136: html = 
'<font size="5">N6LMatrix.RotAxisVec(rotvec)</font><br>' +
'説明：（計算にクォータニオンを用いた）回転<br>' +
'引数：rotvec:N6LVector型、回転ベクトル<br>' +
'戻値：軸に対する回転行列:N6LMatrix<br>' +
'注釈：scale,translate情報は保持されます<br>' +
'行列の軸に対する回転で、処理速度を気にするのなら<br>' +
'はじめに、単位クォータニオンを構築して(N6LQuaternion.UnitQuat())<br>' +
'クォータニオンだけで全ての回転計算をしてから(N6LQuaternion.RotAxisVec())<br>' +
'クォータニオンを行列に変換してください(N6LQuaternion.Matrix())<br>' +
'そして最後に、計算元の行列と得られた行列を掛け合わせてください(N6LMatrix.Mul())<br>' +
'N6LMatrix.RotAxisVec()だけで、全部計算するのは<br>' +
'ベクターとクォータニオンから行列の変換を毎回計算するので、処理速度では意味がありません<br>' +
'また、N6LQuaternion.RotAxisVec()はベクターからクォータニオンに変換するので<br>' +
'(N6LQuaternion.RotAxisQuat())よりも重いです<br>' +
'単純に、便利に使うだけのためのものです<br>';
          break;
  case 119: html = 
'<font size="5">N6LMatrix.Homogeneous()</font><br>' +
'説明：同次座標<br>' +
'引数：－－－<br>' +
'戻値：同次座標:N6LMatrix<br>';
          break;
  case 127: html = 
'<font size="5">N6LMatrix.ToHomo()</font><br>' +
'説明：同次座標に変換<br>' +
'引数：－－－<br>' +
'戻値：同次座標に変換:N6LMatrix<br>';
          break;
  case 128: html = 
'<font size="5">N6LMatrix.ToNormal()</font><br>' +
'説明：通常座標に変換<br>' +
'引数：－－－<br>' +
'戻値：通常座標に変換:N6LMatrix<br>';
          break;
  case 120: html = 
'<font size="5">N6LMatrix.Pos()</font><br>' +
'説明：座標取得<br>' +
'引数：－－－<br>' +
'戻値：座標取得:N6LVector<br>';
          break;
  case 135: html = 
'<font size="5">N6LMatrix.Scale()</font><br>' +
'説明：倍率取得<br>' +
'引数：－－－<br>' +
'戻値：倍率取得:N6LVector<br>';
          break;
  case 121: html = 
'<font size="5">N6LMatrix.Trace()</font><br>' +
'説明：行列のトレース<br>' +
'引数：－－－<br>' +
'戻値：行列のトレース:実数<br>';
          break;
  case 122: html = 
'<font size="5">N6LMatrix.Quaternion()</font><br>' +
'説明：回転行列のクォータニオン取得<br>' +
'引数：－－－<br>' +
'戻値：回転行列のクォータニオン取得:N6LQuaternion<br>';
          break;
  case 123: html = 
'<font size="5">N6LMatrix.Vector()</font><br>' +
'説明：回転行列の回転ベクトル取得<br>' +
'引数：－－－<br>' +
'戻値：回転行列の回転ベクトル取得:N6LVector<br>';
          break;
  case 155: html = 
'<font size="5">N6LMatrix.PosVector()</font><br>' +
'説明：回転行列の姿勢ベクトル取得<br>' +
'引数：－－－<br>' +
'戻値：回転行列の姿勢ベクトル取得:N6LVector<br>';
          break;
  case 129: html = 
'<font size="5">N6LMatrix.FrustumMat(left, right, top, bottom, near, far)</font><br>' +
'説明：透視射影<br>' +
'引数：left,right,top,bottom,near,far:実数:視錐台引数<br>' +
'戻値：透視射影行列:N6LMatrix<br>';
          break;
  case 138: html = 
'<font size="5">N6LMatrix.OrthoMat(left, right, top, bottom, near, far)</font><br>' +
'説明：正射影<br>' +
'引数：left,right,top,bottom,near,far:実数:視錐台引数<br>' +
'戻値：正射影行列:N6LMatrix<br>';
          break;
  case 133: html = 
'<font size="5">N6LMatrix.Householder()</font><br>' +
'説明：ハウスホルダー法<br>' +
'引数：－－－<br>' +
'戻値：ハウスホルダー法:N6LMatrix<br>';
          break;
  case 134: html = 
'<font size="5">N6LMatrix.QRMethod()</font><br>' +
'説明：QR法<br>' +
'引数：－－－<br>' +
'戻値：対角項が固有値:N6LMatrix<br>';
          break;
  case 137: html = 
'<font size="5">N6LMatrix.EulerAngle(first, second, third, eps)</font><br>' +
'説明：オイラー角取得<br>' +
'引数：first,second,third:1,2,3,各軸順番,eps:誤差,省略可能<br>' +
'戻値：オイラー角取得:N6LVector,rad<br>' +
'注釈：二番目の軸が角度があるかもしれなくて、他の軸の角度がゼロの場合<br>' +
'再計算で二番目の軸を一番目の軸にしてしています<br>';
          break;

//########　N6LQuaternion　########

  case 200: html = 
'<font size="5">N6LQuaternion：構築</font><br>' +
'メンバ：<br>' +
'N6LQuaternion.q:N6LVector<br>' + 
'N6LQuaternion.q.x[0]:w N6LQuaternion.q.x[1]:x<br>' +  
'N6LQuaternion.q.x[2]:y N6LQuaternion.q.x[3]:z<br>' + 
'var N6LQuaternion = function(w, x, y, z) { }<br>' +
'書式：<br>' +
'var quta = new N6LQuaternion(1, 0, 0, 0);<br>' +
'var quta = new N6LQuaternion(1, new Array(0, 0, 0));<br>' +
'var quta = new N6LQuaternion(new Array(1, 0, 0, 0));<br>' +
'var quta = new N6LQuaternion(new N6LVector([1, 0, 0, 0]));<br>' +
'var quta = new N6LQuaternion(1, new N6LVector([1, 2, 3, 4], true));<br>' +
'var quta = new N6LQuaternion([1, 0, 0, 0]);<br>' +
'var qutb = new N6LQuaternion(quta); //deep copy<br>';
          break;
  case 201: html = 
'<font size="5">N6LQuaternion.Equal(rh)</font><br>' +
'説明：等価か調べる<br>' +
'引数：rh:N6LQuaternion型:thisと比較する<br>' +
'戻値：true:等しい:false:等しくない:<br>';
          break;
  case 221: html = 
'<font size="5">N6LQuaternion.EpsEqual(rh, eps)</font><br>' +
'説明：等価か調べる<br>' +
'引数：rh:N6LQuaternion型:thisと比較する:eps:誤差:実数<br>' +
'戻値：true:等しい:false:等しくない:<br>';
          break;
  case 224: html = 
'<font size="5">N6LQuaternion.Str()</font><br>' +
'説明：文字列に変換<br>' +
'引数：－－－<br>' +
'戻値：文字列に変換:string<br>';
          break;
  case 225: html = 
'<font size="5">N6LQuaternion.Parse(str)</font><br>' +
'説明：文字列から変換<br>' +
'引数：str:string<br>' +
'戻値：文字列から変換:N6LQuaternion<br>';
          break;
  case 202: html = 
'<font size="5">N6LQuaternion.Add(rh)</font><br>' +
'説明：和算<br>' +
'引数：rh:N6LQuaternion型、実数<br>' +
'戻値：和算:N6LQuaternion<br>';
          break;
  case 203: html = 
'<font size="5">N6LQuaternion.Sub(rh)</font><br>' +
'説明：減算<br>' +
'引数：rh:N6LQuaternion型、実数<br>' +
'戻値：減算:N6LQuaternion<br>';
          break;
  case 204: html = 
'<font size="5">N6LQuaternion.Mul(rh)</font><br>' +
'説明：乗算<br>' +
'引数：rh:N6LQuaternion型、実数<br>' +
'戻値：乗算:N6LQuaternion<br>';
          break;
  case 205: html = 
'<font size="5">N6LQuaternion.Div(rh)</font><br>' +
'説明：除算<br>' +
'引数：rh:実数<br>' +
'戻値：除算:N6LQuaternion<br>';
          break;
  case 226: html = 
'<font size="5">N6LQuaternion.DivMax()</font><br>' +
'説明：要素の最大絶対値の値で除算<br>' +
'引数：－－－<br>' +
'戻値：要素の最大絶対値の値で除算:N6LQuaternion<br>' +
'注釈：誤差蓄積などで各要素の値が±1.0を「僅かに」超えるとき<br>' +
'　　：各要素の値を±1.0以下にすることでそれが致命的エラーになることを防ぎます<br>';
          break;
  case 222: html = 
'<font size="5">N6LQuaternion.Repair(eps)</font><br>' +
'説明：修復、0.0or1.0or-1.0のeps付近の値をそれらに修正する<br>' +
'引数：eps:誤差,実数<br>' +
'戻値：更新されたthis<br>';
          break;
  case 206: html = 
'<font size="5">N6LQuaternion.SquareAbs()</font><br>' +
'説明：絶対値２乗<br>' +
'引数：－－－<br>' +
'戻値：絶対値２乗:実数<br>';
          break;
  case 207: html = 
'<font size="5">N6LQuaternion.Abs()</font><br>' +
'説明：絶対値<br>' +
'引数：－－－<br>' +
'戻値：絶対値:実数<br>';
          break;
  case 208: html = 
'<font size="5">N6LQuaternion.ConjugationQuat()</font><br>' +
'説明：共役<br>' +
'引数：－－－<br>' +
'戻値：共役:N6LQuaternion<br>';
          break;
  case 209: html = 
'<font size="5">N6LQuaternion.InverseQuat()</font><br>' +
'説明：逆元<br>' +
'引数：－－－<br>' +
'戻値：逆元:N6LQuaternion<br>';
          break;
  case 218: html = 
'<font size="5">N6LQuaternion.ZeroQuat()</font><br>' +
'説明：ゼロ<br>' +
'引数：－－－<br>' +
'戻値：ゼロ:N6LQuaternion<br>';
          break;
  case 219: html = 
'<font size="5">N6LQuaternion.UnitQuat()</font><br>' +
'説明：単位四元数<br>' +
'引数：－－－<br>' +
'戻値：単位四元数:N6LQuaternion<br>';
          break;
  case 210: html = 
'<font size="5">N6LQuaternion.NormalQuat()</font><br>' +
'説明：ノーマライズ<br>' +
'引数：－－－<br>' +
'戻値：ノーマライズ:N6LQuaternion<br>';
          break;
  case 211: html = 
'<font size="5">N6LQuaternion.Dot(rh)</font><br>' +
'説明：内積<br>' +
'引数：rh:N6LQuaternion型<br>' +
'戻値：内積:実数<br>';
          break;
  case 212: html = 
'<font size="5">N6LQuaternion.RotAxisQuat(axis, theta)</font><br>' +
'説明：回転<br>' +
'引数：axis:N6LVector型、回転軸:theta:ラジアン<br>' +
'戻値：回転結果:N6LQuaternion<br>' +
'注釈：同次座標で単位x軸の回転はaxisにnew N6LVector(4, true).UnitVec(1);などと代入してください<br>';
          break;
  case 220: html = 
'<font size="5">N6LQuaternion.RotAxisVec(rotvec)</font><br>' +
'説明：（計算にクォータニオンを用いた）回転<br>' +
'引数：rotvec:N6LVector型、回転ベクトル<br>' +
'戻値：回転結果:N6LQuaternion<br>';
          break;
  case 223: html = 
'<font size="5">N6LQuaternion.Axis(axis, theta)</font><br>' +
'説明：軸に対する回転<br>' +
'引数：axis[0]:N6LVector型、回転軸、戻値:theta[0]:ラジアン、戻値<br>' +
'戻値：－－－<br>';
          break;
  case 213: html = 
'<font size="5">N6LQuaternion.Matrix()</font><br>' +
'説明：クォータニオンから回転行列<br>' +
'引数：－－－<br>' +
'戻値：回転行列:N6LMatrix<br>';
          break;
  case 214: html = 
'<font size="5">N6LQuaternion.Lerp(q, t)</font><br>' +
'説明：線形補完<br>' +
'引数：q:N6LQuaternion型、終了状態:t:0.0(開始)～1.0(終了):<br>' +
'戻値：線形補完:N6LQuaternion<br>';
          break;
  case 215: html = 
'<font size="5">N6LQuaternion.Slerp(q, t)</font><br>' +
'説明：球面線形補完<br>' +
'引数：q:N6LQuaternion型、終了状態:t:0.0(開始)～1.0(終了):<br>' +
'戻値：球面線形補完:N6LQuaternion<br>';
          break;
  case 216: html = 
'<font size="5">N6LQuaternion.Slerp2(q, t)</font><br>' +
'説明：球面線形補完<br>' +
'引数：q:N6LQuaternion型、終了状態:t:0.0(開始)～1.0(終了):<br>' +
'戻値：球面線形補完:N6LQuaternion<br>';
          break;
  case 217: html = 
'<font size="5">N6LQuaternion.Sphere4D()</font><br>' +
'説明：4次元球<br>' +
'引数：－－－<br>' +
'戻値：4次元球:N6LVector<br>';
          break;

//########　N6LLnQuaternion　########

  case 250: html = 
'<font size="5">N6LLnQuaternion：構築</font><br>' +
'メンバ：<br>' +
'N6LLnQuaternion.q:N6LVector<br>' + 
'N6LLnQuaternion.q.x[0]:x N6LLnQuaternion.q.x[1]:y N6LLnQuaternion.q.x[2]:z<br>' + 
'var N6LLnQuaternion = function(x, y, z) { }<br>' +
'書式：<br>' +
'var quta = new N6LLnQuaternion(0, 0, 0);<br>' +
'var quta = new N6LLnQuaternion(new Array(0, 0, 0));<br>' +
'var quta = new N6LLnQuaternion(new N6LVector([0, 0, 0]));<br>' +
'var quta = new N6LLnQuaternion([0, 0, 0]);<br>' +
'var qutb = new N6LLnQuaternion(quta); //deep copy<br>';
          break;
  case 251: html = 
'<font size="5">N6LLnQuaternion.Equal(rh)</font><br>' +
'説明：等価か調べる<br>' +
'引数：rh:N6LLnQuaternion型:thisと比較する<br>' +
'戻値：true:等しい:false:等しくない:<br>';
          break;
  case 263: html = 
'<font size="5">N6LLnQuaternion.EpsEqual(rh, eps)</font><br>' +
'説明：等価か調べる<br>' +
'引数：rh:N6LLnQuaternion型:thisと比較する:eps:誤差:実数<br>' +
'戻値：true:等しい:false:等しくない:<br>';
          break;
  case 265: html = 
'<font size="5">N6LLnQuaternion.Str()</font><br>' +
'説明：文字列に変換<br>' +
'引数：－－－<br>' +
'戻値：文字列に変換:string<br>';
          break;
  case 266: html = 
'<font size="5">N6LLnQuaternion.Parse(str)</font><br>' +
'説明：文字列から変換<br>' +
'引数：str:string<br>' +
'戻値：文字列から変換:N6LLnQuaternion<br>';
          break;
  case 252: html = 
'<font size="5">N6LLnQuaternion.Add(rh)</font><br>' +
'説明：和算<br>' +
'引数：rh:N6LLnQuaternion型<br>' +
'戻値：和算:N6LLnQuaternion<br>';
          break;
  case 253: html = 
'<font size="5">N6LLnQuaternion.Sub(rh)</font><br>' +
'説明：減算<br>' +
'引数：rh:N6LLnQuaternion型<br>' +
'戻値：減算:N6LLnQuaternion<br>';
          break;
  case 254: html = 
'<font size="5">N6LLnQuaternion.Mul(rh)</font><br>' +
'説明：乗算<br>' +
'引数：rh:実数<br>' +
'戻値：乗算:N6LLnQuaternion<br>';
          break;
  case 255: html = 
'<font size="5">N6LLnQuaternion.Div(rh)</font><br>' +
'説明：除算<br>' +
'引数：rh:実数<br>' +
'戻値：除算:N6LLnQuaternion<br>';
          break;
  case 267: html = 
'<font size="5">N6LLnQuaternion.DivMax()</font><br>' +
'説明：要素の最大絶対値の値で除算<br>' +
'引数：－－－<br>' +
'戻値：要素の最大絶対値の値で除算:N6LLnQuaternion<br>' +
'注釈：誤差蓄積などで各要素の値が±1.0を「僅かに」超えるとき<br>' +
'　　：各要素の値を±1.0以下にすることでそれが致命的エラーになることを防ぎます<br>';
          break;
  case 264: html = 
'<font size="5">N6LLnQuaternion.Repair(eps)</font><br>' +
'説明：修復、0.0or1.0or-1.0のeps付近の値をそれらに修正する<br>' +
'引数：eps:誤差,実数<br>' +
'戻値：更新されたthis<br>';
          break;
  case 256: html = 
'<font size="5">N6LLnQuaternion.SquareAbs()</font><br>' +
'説明：絶対値２乗<br>' +
'引数：－－－<br>' +
'戻値：絶対値２乗:実数<br>';
          break;
  case 257: html = 
'<font size="5">N6LLnQuaternion.Abs()</font><br>' +
'説明：絶対値<br>' +
'引数：－－－<br>' +
'戻値：絶対値:実数<br>';
          break;
  case 262: html = 
'<font size="5">N6LLnQuaternion.ZeroLnQuat()</font><br>' +
'説明：ゼロ<br>' +
'引数：－－－<br>' +
'戻値：ゼロ:N6LLnQuaternion<br>';
          break;
  case 258: html = 
'<font size="5">N6LLnQuaternion.RotAxisLnQuat(axis, theta)</font><br>' +
'説明：軸に対する回転<br>' +
'引数：axis:N6LVector型、回転軸:theta:ラジアン<br>' +
'戻値：回転対数四元数:N6LLnQuaternion<br>' +
'注釈：同次座標で単位x軸の回転はaxisにnew N6LVector(4, true).UnitVec(1);などと代入してください<br>';
          break;
  case 259: html = 
'<font size="5">N6LLnQuaternion.Axis(axis, theta)</font><br>' +
'説明：軸に対する回転<br>' +
'引数：axis[0]:N6LVector型、回転軸、戻値:theta[0]:ラジアン、戻値<br>' +
'戻値：－－－<br>';
          break;
  case 260: html = 
'<font size="5">N6LLnQuaternion.Lerp(q, t)</font><br>' +
'説明：線形補完<br>' +
'引数：q:N6LLnQuaternion型、終了状態:t:0.0(開始)～1.0(終了):<br>' +
'戻値：線形補完四元数:N6LQuaternion<br>';
          break;
  case 261: html = 
'<font size="5">N6LLnQuaternion.Lerp2(d0, q, d)</font><br>' +
'説明：線形補完<br>' +
'引数：d0:実数:thisの加重平均:q[]:N6LLnQuaternion,Array型:d[]:実数,Array型:加重平均<br>' +
'戻値：線形補完四元数:N6LQuaternion<br>';
          break;

//########　N6LKeyBoard　########

  case 400: html = 
'<font size="5">N6LKeyBoard：構築</font><br>' +
'説明：HTMLファイルの＜body onload="initKeyBoard(tman, function() { func(); });"＞として<br>' +
'tmanのタイマーマネージャーとfuncのキーボードチェックメソッドを紐付けます。<br>' +
'例　：<br>' +
'function func(){<br>' +
'　if(KeyB.keystate[KeyB.indexof(KeyB.ToRealID("VK_N1"))]) {//numpad 1 KeyDown<br>' +
'．．．省略．．．<br>' +
'  }<br>' +
'  if(KeyB.keystate[KeyB.indexof(KeyB.ToRealID("VK_N2"))]) {//numpad 2 KeyDown<br>' +
'．．．省略．．．<br>' +
'  }<br>' +
'．．．省略．．．}<br>';
          break;
  case 401: html = 
'<font size="5">N6LKeyBoard.setfunc(func)</font><br>' +
'説明：キーボードチェックメソッドの紐付け<br>' +
'引数：func:メソッド<br>' +
'戻値：－－－<br>';
          break;
  case 411: html = 
'<font size="5">N6LKeyBoard.setenable(b)</font><br>' +
'説明：キーボード有効無効の切り替え<br>' +
'引数：b:enable:bool<br>' +
'戻値：－－－<br>';
          break;
  case 402: html = 
'<font size="5">N6LKeyBoard.indexof(str)</font><br>' +
'説明：本名IDのインデックス<br>' +
'引数：str:string:本名ID<br>' +
'戻値：本名IDのインデックス:integer<br>';
          break;
  case 403: html = 
'<font size="5">N6LKeyBoard.addAlias(ary)</font><br>' +
'説明：別名IDの追加定義<br>' +
'引数：ary:配列:[元ID, 別ID]<br>' +
'戻値：－－－<br>';
          break;
  case 404: html = 
'<font size="5">N6LKeyBoard.delAlias(str)</font><br>' +
'説明：strに紐づけられた別名を削除<br>' +
'引数：str:string:本名IDor別名ID<br>' +
'戻値：－－－<br>';
          break;
  case 407: html = 
'<font size="5">N6LKeyBoard.addUnityAlias(ary)</font><br>' +
'説明：統一別名IDの追加定義<br>' +
'引数：ary:配列:[統一されたID, 別ID, ...]<br>' +
'戻値：－－－<br>';
          break;
  case 408: html = 
'<font size="5">N6LKeyBoard.delUnityAlias(str)</font><br>' +
'説明：統一別名を削除<br>' +
'引数：str:string:別名ID<br>' +
'戻値：－－－<br>';
          break;
  case 409: html = 
'<font size="5">N6LKeyBoard.UnityAlias(str)</font><br>' +
'説明：別名IDの統一IDを取得<br>' +
'引数：str:string:別名ID<br>' +
'戻値：別名IDの統一ID:string<br>';
          break;
  case 410: html = 
'<font size="5">N6LKeyBoard.isPressUnityAlias(str)</font><br>' +
'説明：統一IDの押し下げ情報を取得<br>' +
'引数：str:string:別名ID<br>' +
'戻値：統一IDの押し下げ情報:bool<br>';
          break;
  case 405: html = 
'<font size="5">N6LKeyBoard.ToAlias(str, ret)</font><br>' +
'説明：別名に変換<br>' +
'引数：str:string:本名ID:ret:配列:別名IDリスト:戻値<br>' +
'戻値：一番深い別名ID:string<br>';
          break;
  case 406: html = 
'<font size="5">N6LKeyBoard.ToReal(str)</font><br>' +
'説明：本名に変換<br>' +
'引数：str:string:別名ID<br>' +
'戻値：本名ID:string<br>';
          break;


  default:break;
  }


  

  elm.innerHTML = html; 
}

